Update from 3.0.13 error, 3.15 wont install

Get help with installation and running phpBB 3.1.x here. Please do not post bug reports, feature requests, or extension related questions here.
Scam Warning
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

NOTE: phpBB 3.1.x is at its End of Life stage and support will NOT be provided after July 1st, 2018.
Locked
ReverbDev
Registered User
Posts: 49
Joined: Thu Mar 26, 2009 3:15 pm

Update from 3.0.13 error, 3.15 wont install

Post by ReverbDev » Tue Sep 08, 2015 8:03 pm

Support Request Template
What version of phpBB are you using? phpBB 3.0.13-PL1
What is your board's URL? http://localhost
Who do you host your board with? localhost
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Update from a previous version of phpBB3
Is registration required to reproduce this issue? No
Do you have any MODs installed? No
Do you have any extensions installed? No
What version of phpBB3 did you update from? phpBB 3.0.13-PL1
What styles do you currently have installed? none, other than the default prosilver
What language(s) is your board currently using? english
Which database type/version are you using? MySQL 5
What is your level of experience? Comfortable with PHP and phpBB
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? No answer given
Please describe your problem. Updated local test machine with current live dat. Followed the instructions about upgrading a system from 3.0 to 3.15 (nuke config, various folders from unpacked archive, remove all files from active folder cept those folders and file)... Copied the unpacked forum files to the test machine folder (no errors, no dups etc) and then ran the database update php file.

Entire database updated in the blink of an eye, no errors were detected. Life must be perfect now, right?

Deleted the install folder, tried to access the test machine... no forum pages of any kind loaded, the only thing to display was:

( ! ) Fatal error: Uncaught exception 'Twig_Error_Loader' with message 'Unable to find template "index_body.html" (looked into: ).' in C:\wamp\www\forums\vendor\twig\twig\lib\Twig\Loader\Filesystem.php on line 202
( ! ) Twig_Error_Loader: Unable to find template "index_body.html" (looked into: ). in C:\wamp\www\forums\vendor\twig\twig\lib\Twig\Loader\Filesystem.php on line 202
Generated by SRT Generator

With that said, the localhost machine is running PHP 5.5.1.2 and Apache 2.4.9. We don't have any mods or use any custom templates. Some of our files were modified for custom database calls, but of course all of that was lost with the upgrade (or new install, however you wish to call it)... finding out how to change the new system will be the topic of another post, but at this point, I can't even get the base forum to load anything.

Suggestions? Thanks kindly :)
Last edited by ReverbDev on Wed Sep 09, 2015 2:02 pm, edited 1 time in total.

User avatar
Lumpy Burgertushie
Registered User
Posts: 66268
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Update from 3.0.13 error

Post by Lumpy Burgertushie » Tue Sep 08, 2015 8:10 pm

sounds like you are working on the wrong database or the wrong table prefix for the right database.


how do you have the server on your local machine? are you using wamp or what?

there is no php version 5.5.1.2
http://php.net/releases/

also, those errors are telling you that the files are not all there.

check that to be sure you are putting all the files where then need to be etc.


robert
I am going to be out of town and off line for a week . see ya when I get back.

Premium phpBB 3.2 Styles by PlanetStyles.net

If a tree falls in the forest and nobody is there, does it make a sound?

User avatar
jsebean
Registered User
Posts: 378
Joined: Sat Dec 12, 2009 3:20 pm
Location: Atlantic Canada
Name: Jonah
Contact:

Re: Update from 3.0.13 error

Post by jsebean » Tue Sep 08, 2015 8:23 pm

Lumpy Burgertushie wrote:sounds like you are working on the wrong database or the wrong table prefix for the right database.


how do you have the server on your local machine? are you using wamp or what?

there is no php version 5.5.1.2
http://php.net/releases/

also, those errors are telling you that the files are not all there.

check that to be sure you are putting all the files where then need to be etc.


robert
It's wamp, shows in the error ;)

Were there any database changes on your 3.0 install?

Been a while since I've been on phpBB so getting caught up, but sounds like it can't find the template files in the style you're using. Is prosilver along with all of it's contents in the styles directory? Did the default install use prosilver? Possibly change it back to that if not before upgrading?
-Jonah
:lol:

ReverbDev
Registered User
Posts: 49
Joined: Thu Mar 26, 2009 3:15 pm

Re: Update from 3.0.13 error

Post by ReverbDev » Tue Sep 08, 2015 8:46 pm

Yes, it is WAMP.. pasted:

Server Configuration
Apache Version :
2.4.9 - Documentation
PHP Version :
5.5.12 - Documentation
Server Software:
Apache/2.4.9 (Win64) PHP/5.5.12

sorry, put an extra dot between the 1 and 2 in the php version. Either way, I think the docs call for anything greater than 5.3 so... just saying :)

The "index_body" file exists in only 1 place, in the styles/prosilver/template... none exist in the "twig" folder, as supplied from the full install archive. Perhaps part of the forum startup code is supposed to copy them from the styles folder, but I have no clue.

The default prefix (phpbb_) is used for the database. That was never changed since day 1, and our system has been running for many years. :)

(edit: Just to note again, it was from the full install archive, and the appropriate files were deleted as specified in the support post, and then copied over to the test machine folder, as required)

User avatar
jsebean
Registered User
Posts: 378
Joined: Sat Dec 12, 2009 3:20 pm
Location: Atlantic Canada
Name: Jonah
Contact:

Re: Update from 3.0.13 error

Post by jsebean » Wed Sep 09, 2015 11:42 am

ReverbDev wrote:Yes, it is WAMP.. pasted:

Server Configuration
Apache Version :
2.4.9 - Documentation
PHP Version :
5.5.12 - Documentation
Server Software:
Apache/2.4.9 (Win64) PHP/5.5.12

sorry, put an extra dot between the 1 and 2 in the php version. Either way, I think the docs call for anything greater than 5.3 so... just saying :)

The "index_body" file exists in only 1 place, in the styles/prosilver/template... none exist in the "twig" folder, as supplied from the full install archive. Perhaps part of the forum startup code is supposed to copy them from the styles folder, but I have no clue.

The default prefix (phpbb_) is used for the database. That was never changed since day 1, and our system has been running for many years. :)

(edit: Just to note again, it was from the full install archive, and the appropriate files were deleted as specified in the support post, and then copied over to the test machine folder, as required)

But just to confirm, you were using prosilver before the upgrade? When I upgraded an install that used a style that didn't exist after upgrade, it gave an error that the style wasn't available.
-Jonah
:lol:

ReverbDev
Registered User
Posts: 49
Joined: Thu Mar 26, 2009 3:15 pm

Re: Update from 3.0.13 error, 3.15 wont install

Post by ReverbDev » Wed Sep 09, 2015 1:48 pm

We never played with any themes or styles. All defaults. It was always prosilver.

We did try out Prime Time mod once, but it was removed years back.

User avatar
Mick
Support Team Member
Support Team Member
Posts: 21075
Joined: Fri Aug 29, 2008 9:49 am
Location: Watching cricket - definitely

Re: Update from 3.0.13 error

Post by Mick » Wed Sep 09, 2015 1:51 pm

jsebean wrote:When I upgraded an install that used a style that didn't exist after upgrade, it gave an error that the style wasn't available
I'm under the impression that was fixed in the latest version.
"The more connected we get the more alone we become" - Kyle Broflovski

ReverbDev
Registered User
Posts: 49
Joined: Thu Mar 26, 2009 3:15 pm

Re: Update from 3.0.13 error, 3.15 wont install

Post by ReverbDev » Wed Sep 09, 2015 2:03 pm

( ! ) Fatal error: Uncaught exception 'Twig_Error_Loader' with message 'Unable to find template "index_body.html" (looked into: ).' in C:\wamp\www\forums\vendor\twig\twig\lib\Twig\Loader\Filesystem.php on line 202
( ! ) Twig_Error_Loader: Unable to find template "index_body.html" (looked into: ). in C:\wamp\www\forums\vendor\twig\twig\lib\Twig\Loader\Filesystem.php on line 202
Call Stack
# Time Memory Function Location
1 0.0156 303456 {main}( ) ..\index.php:0
2 3.2448 11175632 page_footer( ) ..\index.php:207
3 3.3228 11694976 phpbb\template\twig\twig->display( ) ..\functions.php:5413
4 3.3540 11727952 Twig_Environment->display( ) ..\twig.php:332
5 3.3540 11728056 phpbb\template\twig\environment->loadTemplate( ) ..\Environment.php:299

This is all we get. Nothing else displays, not even a hint of a forum page of any type.

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69040
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: Update from 3.0.13 error, 3.15 wont install

Post by KevC » Wed Sep 09, 2015 2:13 pm

That's because the database_update hasn't completed yet.

It should run over several pages and take several minutes.

What happens when you try to run it?
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

ReverbDev
Registered User
Posts: 49
Joined: Thu Mar 26, 2009 3:15 pm

Re: Update from 3.0.13 error, 3.15 wont install

Post by ReverbDev » Wed Sep 09, 2015 2:39 pm

Well, as I said earlier, the old data from the 3.0x system was imported to the new test machine, and the database update was run. Screen fulls of information was displayed, and at the end it said the update was successful. Remove the install folder and login.

I did all that.

With that said, I went back and started all over again. Copied the exact same files from the archive into the test machine, in the exact same manner as before. I then loaded the database, dropped all the tables, imported all of the data, ran the database update in the install folder... exactly the same as before.

I got the same results, again no errors...

Deleted the install folder, just as before... ran localhost/forums, just like before.

This time... the forum page loaded. I have no idea why. All of a sudden everything is fine. Well... at least the forums loaded LOL.. which is more than what happened before.

So now its time to explore the new options, probably disable all of the "login with facebook" stuff and whatever else has changed, etc... Then its time for a new post to inquire about custom database functions. Thanks for trying folks... obviously a glitch of some kind...

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69040
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: Update from 3.0.13 error, 3.15 wont install

Post by KevC » Wed Sep 09, 2015 2:41 pm

ReverbDev wrote:probably disable all of the "login with facebook" stuff
It's off by default.
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

User avatar
jsebean
Registered User
Posts: 378
Joined: Sat Dec 12, 2009 3:20 pm
Location: Atlantic Canada
Name: Jonah
Contact:

Re: Update from 3.0.13 error

Post by jsebean » Wed Sep 09, 2015 4:39 pm

Mick wrote:
jsebean wrote:When I upgraded an install that used a style that didn't exist after upgrade, it gave an error that the style wasn't available
I'm under the impression that was fixed in the latest version.
Likely, I haven't used phpBB in a while and only the first release haha
-Jonah
:lol:

Locked

Return to “[3.1.x] Support Forum”